# corejs

2개의 포스트

모던 브라우저에도 꼭 es5를 써야 할까 (Differential Serving)

모던 브라우저에도 꼭 es5를 써야 할까 프로덕션 레벨의 서비스를 개발할 때는, es6를 모든 브라우저에서 사용성을 보장하기 위해 es5로 바꿔주는 babel이라는 트랜스파일러를 씁니다. babel에 browser target을 지정해서 지원하고자 하는 브라우저 스팩에 맞게 문법을 변환해주죠. 그런데 사실, 이렇게 바꾸지 않아도 이제는 대부분 모던 브라...

2020년 1월 2일
·
3개의 댓글

corejs3로 대체하자

core-js@3 polyfill 라이브러리, 올해 3월 공개 core-js는 새로운 것은 아니고 babel과 babel-polyfill에서 이미 쓰고 있던 것 이제 core-js2와 core-js는 업데이트가 되지 않음 babel 7.4버전 이상부터 제대로 동작. 정확히는 proposal 옵션 현재 7.7인만큼 안정화 되었다고 판단함 기존의 p...

2019년 12월 3일
·
0개의 댓글